//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 指名知書発行機能
 * @author NEC
 * @version 1.0, 2002.07.23, 新規作成<BR>
 *          1.1, 2003.06.13,障害票155対応<BR>
 */
//*************************************************************

//XML署名処理必要回数
var xml_count = 0;


/* HTML読込み時の初期処理 */
function onStart() {

  /*HTMLが読み込まれた際に、初期処理用関数を呼び出す*/
  onLoad();
  xml_count = parseInt(document.formRegist.xmlCnt.value);

}

/*通知書個別発行処理*/
function setIssuEstimatedNotice(parameter) {

  /*引数に応じて送信フォームにセットする情報を行う*/
	/*発行ボタン押下時*/
  if (parameter == 0 )
  {
    submitSignedDocuments(document.formRegist,"H5162HPR010");
  }

	/*戻るボタン押下時*/
  else if (parameter == 1)
  {
    dispatch(document.formRegist, "H513HPR010");
  }

	/*登録ボタン押下時*/
  else if (parameter == 2)
	{
	  //送信フォームに備考をセットする
    document.formRegist.remark.value = document.formProject.notice.value;
    document.formRegist.xmlData_0.value = document.formRegist.targetXml_0.value;

    dispatch(document.formRegist, "H5161HPR012");
  }
	/*戻るボタンで任意の画面に戻る*/
	else
	{
		dispatch(document.formRegist, parameter);
	}

}

/*通知書一括発行処理*/
function setIssuAllEstimatedNotice(parameter) {

  /*引数に応じて送信フォームにセットする情報を行う*/
	/*発行ボタン押下時*/
  if (parameter == 0 )
  {
    submitSignedDocuments(document.formRegist,"H5165HPR010");
  }

	/*戻るボタン押下時*/
  else if (parameter == 1)
  {
    dispatch(document.formRegist, "H513HPR010");
  }

	/*登録ボタン押下時*/
  else if (parameter == 2)
	{
	  //送信フォームに備考をセットする
    document.formRegist.remark.value = document.formProject.notice.value;

    //送信フォームにXMLデータを設定する
    for(var j = 0 ; j < xml_count ; j++)
    {
      document.formRegist["xmlData_"+j].value = document.formRegist["targetXml_"+j].value;
    }
    dispatch(document.formRegist, "H5164HPR012");
  }
	else
	{
	  //送信フォームに備考をセットする
		dispatch(document.formRegist, parameter);
	}
}

//署名XML件数
function getSignCount() 
{
  return xml_count;
}

//署名が必要なXMLを取得する
function getSource()
{
	return document.formRegist["targetXml_"+signIndex].value;
}

//送信フォームに署名付XMLをセットする
function setDestination( signedXml )
{
	document.formRegist["xmlData_"+signIndex].value=signedXml;
  signIndex++;
}
